/*
*  mixranddlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------
#ifndef mixranddlgsH
#define mixranddlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------

bool __fastcall GenMixmasterMixRandBin(TForm *Owner);

class TMixRandDlg : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label3;
        TBevel *Bevel1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TLabel *Label1;
        TPanel *Panel1;
        TPaintBox *PaintBox1;
        void __fastcall PaintBox1MouseDown(TObject *Sender, TMouseButton Button,
           TShiftState Shift, int X, int Y);
        void __fastcall PaintBox1MouseMove(TObject *Sender, TShiftState Shift,
           int X, int Y);
        void __fastcall PaintBox1MouseUp(TObject *Sender, TMouseButton Button,
           TShiftState Shift, int X, int Y);
        void __fastcall PaintBox1Paint(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        bool pendown;
        TStringList *pencoords;
        double entropy_achieved;
        __fastcall TMixRandDlg(TComponent* Owner);
        virtual __fastcall ~TMixRandDlg();
        void __fastcall PaintPercent();
};

//---------------------------------------------------------------------------
//extern TMixRandDlg *MixRandDlg;
//---------------------------------------------------------------------------
#endif
