/*
*  licensedlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef smtphostdlgsH
#define smtphostdlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------

bool __fastcall AddSMTPHost(TForm *Owner, TStrings *host, TStrings *existing);
bool __fastcall EditSMTPHost(TForm *Owner, TStrings *host, TStrings *existing);
//bool __fastcall ManageSingleSMTPServer(TForm *Owner, bool &reloadmessage);

class TSMTPHostDlg : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label3;
        TEdit *SMTPServer;
        TLabel *Label4;
        TEdit *SMTPPort;
        TCheckBox *SMTPAuth;
        TLabel *Label2;
        TEdit *SMTPUserID;
        TLabel *Label5;
        TEdit *SMTPPassword;
        TEdit *SMTPKey;
        TLabel *Label1;
        TBevel *Bevel1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TLabel *Label6;
        TButton *ProxyBtn;
        TButton *HelpBtn;
        TCheckBox *HideBox;
	TComboBox *SMTPTls;
	TLabel *Label7;
		void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
		void __fastcall SMTPAuthClick(TObject *Sender);
		void __fastcall SMTPServerExit(TObject *Sender);
		void __fastcall ProxyBtnClick(TObject *Sender);
		void __fastcall HelpBtnClick(TObject *Sender);
		void __fastcall HideBoxClick(TObject *Sender);
	void __fastcall SMTPPortExit(TObject *Sender);
        void __fastcall SMTPPortChange(TObject *Sender);
        void __fastcall SMTPServerChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
		bool expertmode;
        TStrings *existing, *hostdata;
        __fastcall virtual TSMTPHostDlg(TComponent* Owner);
        __fastcall virtual TSMTPHostDlg(TComponent* Owner, TStrings *hostdata,
           TStrings *existing);
        bool __fastcall Modified();
};
//---------------------------------------------------------------------------
//extern PACKAGE TSMTPHostDlg *SMTPHostDlg;
//---------------------------------------------------------------------------
#endif
