/*
*  welcomedlgs.cpp 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "welcomedlgs.h"
#include "qslver.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TWelcomeDlg *WelcomeDlg;
AnsiString welcomemsg =
"Hi !\nI'm happy you've decided to give my program a try! I wrote it "
"so you might take part in internet discussions "
"without fear of harassment or reprisal because your ideas might be unpopular.\n\n"
"When used correctly, QuickSilver makes your emails untraceable. If someone "
"tells you that isn't possible, they're very wrong. The worldwide mixmaster remailer "
"network has existed for more than 10 years and it transmits thousands of "
"messages daily. We offer it freely and hope it's useful to you as well.";
//We hope it's useful to you, too.\n\n";
//"There's not much setup require. Let's start!\nRichard";
//---------------------------------------------------------------------------

bool __fastcall WelcomeToQuickSilver()
{
   TWelcomeDlg *welcome = new TWelcomeDlg(NULL);
   welcome->ShowModal();
   bool ok = welcome->ModalResult == mrOk;
   delete welcome;
   return ok;
}
//---------------------------------------------------------------------------

__fastcall TWelcomeDlg::TWelcomeDlg(TComponent* Owner)
        : TForm(Owner)
{
   Label1->Caption = QuickSilverVersion();
   RichEdit1->Lines->Text = welcomemsg;
}
//---------------------------------------------------------------------------
